com.rscja.team.qcom.scanner.utility

## Class ScannerParameterUtility_qcom

- java.lang.Object
- - com.rscja.team.qcom.scanner.utility.ScannerParameterUtility_qcom

-     public class ScannerParameterUtility_qcom
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `key_barcodeBroadcastAction`
    `static java.lang.String` | `key_BarcodeNotRepeat`
    `static java.lang.String` | `key_cbBarcode2D_s`
    `static java.lang.String` | `key_cbEnter`
    `static java.lang.String` | `key_cbERKOS`
    `static java.lang.String` | `key_cbSpace`
    `static java.lang.String` | `key_cbTab`
    `static java.lang.String` | `key_Continuous`
    `static java.lang.String` | `key_ContinuousIntervalTime`
    `static java.lang.String` | `key_ContinuousIntervalTimeUHF`
    `static java.lang.String` | `key_ContinuousMode`
    `static java.lang.String` | `key_ContinuousTimeOut`
    `static java.lang.String` | `key_ContinuousTimeOutUHF`
    `static java.lang.String` | `key_ContinuousUHF`
    `static java.lang.String` | `key_debug`
    `static java.lang.String` | `key_endIndex`
    `static java.lang.String` | `key_etBroadcastKey`
    `static java.lang.String` | `key_failureBroadcast`
    `static java.lang.String` | `key_failureSound`
    `static java.lang.String` | `key_filterChars`
    `static java.lang.String` | `key_firstInit`
    `static java.lang.String` | `key_firstSetScanP`
    `static java.lang.String` | `key_format_Barcode`
    `static java.lang.String` | `key_format_RFID`
    `static java.lang.String` | `key_GS1Parsing`
    `static java.lang.String` | `key_IlluminationPowerLevel`
    `static java.lang.String` | `key_InterceptScanKey`
    `static java.lang.String` | `key_LF_Last4Bytes`
    `static java.lang.String` | `key_Mirror`
    `static java.lang.String` | `key_prefix`
    `static java.lang.String` | `key_ScanAuxiliaryLight`
    `static java.lang.String` | `key_Scanner_Enable`
    `static java.lang.String` | `key_scanOnRelease`
    `static java.lang.String` | `key_sort`
    `static java.lang.String` | `key_Sound`
    `static java.lang.String` | `key_startIndex`
    `static java.lang.String` | `key_suffix`
    `static java.lang.String` | `key_target`
    `static java.lang.String` | `key_TimeOut`
    `static java.lang.String` | `key_Vibrate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScannerParameterUtility_qcom()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScannerParameterEntity` | `getScannerParameter(android.content.Context context)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key_format_Barcode

          public static final java.lang.String key_format_Barcode

      See Also:
        Constant Field Values

    - #### key_format_RFID

          public static final java.lang.String key_format_RFID

      See Also:
        Constant Field Values

    - #### key_Sound

          public static final java.lang.String key_Sound

      See Also:
        Constant Field Values

    - #### key_Vibrate

          public static final java.lang.String key_Vibrate

      See Also:
        Constant Field Values

    - #### key_GS1Parsing

          public static final java.lang.String key_GS1Parsing

      See Also:
        Constant Field Values

    - #### key_Continuous

          public static final java.lang.String key_Continuous

      See Also:
        Constant Field Values

    - #### key_ContinuousUHF

          public static final java.lang.String key_ContinuousUHF

      See Also:
        Constant Field Values

    - #### key_ScanAuxiliaryLight

          public static final java.lang.String key_ScanAuxiliaryLight

      See Also:
        Constant Field Values

    - #### key_ContinuousTimeOut

          public static final java.lang.String key_ContinuousTimeOut

      See Also:
        Constant Field Values

    - #### key_ContinuousTimeOutUHF

          public static final java.lang.String key_ContinuousTimeOutUHF

      See Also:
        Constant Field Values

    - #### key_ContinuousIntervalTime

          public static final java.lang.String key_ContinuousIntervalTime

      See Also:
        Constant Field Values

    - #### key_ContinuousIntervalTimeUHF

          public static final java.lang.String key_ContinuousIntervalTimeUHF

      See Also:
        Constant Field Values

    - #### key_IlluminationPowerLevel

          public static final java.lang.String key_IlluminationPowerLevel

      See Also:
        Constant Field Values

    - #### key_cbEnter

          public static final java.lang.String key_cbEnter

      See Also:
        Constant Field Values

    - #### key_cbTab

          public static final java.lang.String key_cbTab

      See Also:
        Constant Field Values

    - #### key_cbSpace

          public static final java.lang.String key_cbSpace

      See Also:
        Constant Field Values

    - #### key_cbERKOS

          public static final java.lang.String key_cbERKOS

      See Also:
        Constant Field Values

    - #### key_target

          public static final java.lang.String key_target

      See Also:
        Constant Field Values

    - #### key_firstInit

          public static final java.lang.String key_firstInit

      See Also:
        Constant Field Values

    - #### key_firstSetScanP

          public static final java.lang.String key_firstSetScanP

      See Also:
        Constant Field Values

    - #### key_failureSound

          public static final java.lang.String key_failureSound

      See Also:
        Constant Field Values

    - #### key_sort

          public static final java.lang.String key_sort

      See Also:
        Constant Field Values

    - #### key_failureBroadcast

          public static final java.lang.String key_failureBroadcast

      See Also:
        Constant Field Values

    - #### key_TimeOut

          public static final java.lang.String key_TimeOut

      See Also:
        Constant Field Values

    - #### key_Mirror

          public static final java.lang.String key_Mirror

      See Also:
        Constant Field Values

    - #### key_ContinuousMode

          public static final java.lang.String key_ContinuousMode

      See Also:
        Constant Field Values

    - #### key_InterceptScanKey

          public static final java.lang.String key_InterceptScanKey

      See Also:
        Constant Field Values

    - #### key_LF_Last4Bytes

          public static final java.lang.String key_LF_Last4Bytes

      See Also:
        Constant Field Values

    - #### key_BarcodeNotRepeat

          public static final java.lang.String key_BarcodeNotRepeat

      See Also:
        Constant Field Values

    - #### key_debug

          public static final java.lang.String key_debug

      See Also:
        Constant Field Values

    - #### key_barcodeBroadcastAction

          public static final java.lang.String key_barcodeBroadcastAction

      See Also:
        Constant Field Values

    - #### key_etBroadcastKey

          public static final java.lang.String key_etBroadcastKey

      See Also:
        Constant Field Values

    - #### key_suffix

          public static final java.lang.String key_suffix

      See Also:
        Constant Field Values

    - #### key_prefix

          public static final java.lang.String key_prefix

      See Also:
        Constant Field Values

    - #### key_startIndex

          public static final java.lang.String key_startIndex

      See Also:
        Constant Field Values

    - #### key_endIndex

          public static final java.lang.String key_endIndex

      See Also:
        Constant Field Values

    - #### key_filterChars

          public static final java.lang.String key_filterChars

      See Also:
        Constant Field Values

    - #### key_scanOnRelease

          public static final java.lang.String key_scanOnRelease

      See Also:
        Constant Field Values

    - #### key_cbBarcode2D_s

          public static final java.lang.String key_cbBarcode2D_s

      See Also:
        Constant Field Values

    - #### key_Scanner_Enable

          public static final java.lang.String key_Scanner_Enable

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScannerParameterUtility_qcom

          public ScannerParameterUtility_qcom()

  - ### Method Detail

    - #### getScannerParameter

          public ScannerParameterEntity getScannerParameter(android.content.Context context)